class AreaDeltaScanClient implements Scan.Client<DistSumPoint, Integer> {
  final int n = 4;
  final DistSumPoint[] array = new DistSumPoint[n];
  final Integer[] result = new Integer[n];

  public int getN() { return n; }
  public DistSumPoint[] getArray() { return array; }
  public Integer[] getResult() { return result; }

  public void setup() {
    array[0] = new DistSumPoint(1, 1);
    array[1] = new DistSumPoint(2, 2);
    array[2] = new DistSumPoint(3, 4);
    array[3] = new DistSumPoint(2, 3);
  }

  public void printResult() {
    for (int i = 0; i < n; i++) {
      System.out.println(result[i]);
    }
  }
}
