class ConvertScanClient implements Scan.Client<Integer, Integer> {
  final int n = 100000;
  final Integer[] array = new Integer[n];
  final Integer[] result = new Integer[n];

  public int getN() { return n; }
  public Integer[] getArray() { return array; }
  public Integer[] getResult() { return result; }

  public void setup() {
    for (int i = 0; i < n; i++) {
      array[i] = 1;
    }
    array[0] = 2; /* results: 2 300002 599996 */
    /* array[0] = 3; => results: 6 300006 600000 */
  }

  public void printResult() {
    System.out.println(result[0] + " " + result[n/2] + " " + result[n-1]);
  }
}
