class DistSumReduceClient implements Reduce.Client<DistSumPoint, Integer> {
  final int n = 5000;
  final DistSumPoint[] array = new DistSumPoint[n];

  public int getN() { return n; }
  public DistSumPoint[] getArray() { return array; }

  public void setup() {
    for (int i = 0; i < n; i++) {
      array[i] = new DistSumPoint(i, i);
    }
  }

  public void printResult(Integer v) {
    System.out.println(v);
  }
}
