class DistSumReduceServer implements Reduce.Server<DistSumPoint, Double, Integer> {
  public Double init() { return 0.0; }

  public Double accum(Double t, int i, DistSumPoint[] d) {
    return t + Math.sqrt((d[i].x * d[i].x) + (d[i].y * d[i].y));
  }

  public Double combine(Double t1, Double t2) {
    return t1 + t2;
  }

  public Integer reduceGen(Double t) {
    return (int)Math.floor(t * 100);
  }
}
